import { Injectable } from '@angular/core';
import { ReceiptOrderItemSubsetReferenceValues, ReceiptService } from '@swagger/oms';

@Injectable()
export class DomainReceiptService {
  constructor(private receiptService: ReceiptService) {}

  createShippingNotes(params: ReceiptService.ReceiptCreateShippingNote2Params) {
    return this.receiptService.ReceiptCreateShippingNote2(params);
  }

  getReceipts(payload: ReceiptOrderItemSubsetReferenceValues) {
    return this.receiptService.ReceiptGetReceiptsByOrderItemSubset({
      payload: payload,
    });
  }
}
